Get the fields of a recipient list
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}/fields
Path Parameters
- clientIdstringrequiredDescription
- recipientListIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestRecipientListFieldStreamingCollection
- elementsRestRecipientListField[]
- internalNamestringDescription
- displayNamestringDescription
- typestring<LONG | INTEGER | SHORT | STRING | TEXT | FLOAT | DECIMAL | DATE | TIMESTAMP | BOOLEAN>DescriptionAllowedLONGINTEGERSHORTSTRINGTEXTFLOATDECIMALDATETIMESTAMPBOOLEAN
- requiredbooleanDescription
- countinteger<int32>Formatint32
- offsetinteger<int32>Formatint32
- limitinteger<int32>Formatint32
409
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}/fields \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}/fields", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}/fields")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/recipientlists/{recipientListId}/fields"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The recipient list's fields were retrieved successfully.
{
"elements": [
{
"internalName": "",
"displayName": "",
"type": "",
"required": false
}
],
"count": "",
"offset": "",
"limit": ""
}409
// The recipient list's attribute names could not be retrieved. Ensure that the required parameters such as "recipientListId" are correct and the recipient list exists.